Redmine - Patch #16381

Extract code to render project context links to helper
2014-03-19 07:44 - Michael Esemplare

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done:
Category: Code cleanup/refactoring Estimated time:
Target version: 251

Description

The attached patch is against trunk r12982.

Currently the logic to determine which links to show in the project view (app/views/projects/index.html.erb) is in the view itself. The
current paradigm assumes the activity link always being shown. However if one wanted to hide that, or disable it (#1543), there is an

extra separator left.

This patch will join the array of permissioned links with the separator in the projects helper; and return the html to render.

Associated revisions

Revision 12986 - 2014-03-21 01:27 - Jean-Philippe Lang

Extract code to render project context links to helper (#16381).

Patch by Michael Esemplare.

Revision 13025 - 2014-03-29 15:39 - Jean-Philippe Lang
Merged r12986 (#16381).

History

#1 - 2014-03-21 01:28 - Jean-Philippe Lang

- Category changed from Projects to Code cleanup/refactoring
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.1

Patch applied in r12986, thanks.

#2 - 2014-03-29 15:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

render_project_action_links.patch 2.07 KB
